/*******************************************************************
*******  Copyright (c)            Alexandros V. Gerbessiotis       *
******* All rights reserved; read copyag.txt file                  *
*******************************************************************/
/**** BSP related definitions */

#define AIBEGIN     bsp_begin
#define AIEND       bsp_end
#define AIABORT     bsp_abort
#define AIBSPINIT   bsp_init
#define AIPID       bsp_pid

#define AINPROCS    bsp_nprocs

#define AITIME      bsp_time

#define AIPUT       bsp_put

#define AIGET       bsp_get

#define AIHPPUT     bsp_hpput

#define AIHPGET     bsp_hpget

#define AIREGISTER    bsp_push_reg

#define AIDEREGISTER  bsp_pop_reg
#define AICOMMIT()    bsp_sync()
#define AICOMSTART()  {;}
#define AICOMEND()    bsp_sync()
#define AIBARRIER()   bsp_sync() 
#define AISYNC()    bsp_sync()

#define AIMPUT      bsp_put


#define AIMGET      bsp_get


#define AIMHPGET    bsp_hpget


#define AIMHPPUT    bsp_hpput



#define AIMREGISTER   bsp_push_reg


#define AIMDEREGISTER  bsp_pop_reg
#define AIMCOMMIT()    bsp_sync()
#define AIMCOMSTART(Z) {;}
#define AIMCOMEND(Z)   bsp_sync()
#define AIMBARRIER()  bsp_sync() 

